# Kart Tutorial

[![DOI](https://zenodo.org/badge/785333116.svg)](https://zenodo.org/doi/10.5281/zenodo.10962392) [![Website - unitoassyriangovernance.github.io/kart4arch/](https://img.shields.io/badge/Website-unitoassyriangovernance.github.io%2Fkart4arch%2F-2ea44f?logo=quarto)](https://unitoassyriangovernance.github.io/kart4arch/)

This is a tutorial to drive step by step any practitioner interested in learning how to use Kart, and is a companion to the publication: A. Titolo, A. Palmisano, "Using Kart and GitHub for versioning and collaborating with spatial data in archaeological research", submitted to [Archeologia e Calcolatori journal](https://www.archcalc.cnr.it/) and part of the proceedings of the [ArcheoFOSS 17 conference](https://www.archeofoss.org/2023/).

The tutorial can be followed on the online website at [https://unitoassyriangovernance.github.io/kart4arch/](https://unitoassyriangovernance.github.io/kart4arch/), but other options are available below.

This resource is also archived on Zenodo at: [https://zenodo.org/doi/10.5281/zenodo.10962392](https://zenodo.org/doi/10.5281/zenodo.10962392)

## Follow the tutorial locally

**Easiest solution**

Download the `index.html` file located [here](/_manuscript/index.html) and open it with any browser.

**Additional formats**

Navigate to the `_manuscript` folder, and open one of the _html_, _pdf_, or _docx_ file.

## Build the entire website from scratch

This website is built with [Quarto](https://quarto.org) using [Quarto manuscript](https://quarto.org/docs/manuscripts/) project type, and hosted on Github Pages. To reproduce and build the website locally, <u>Quarto must be installed on your machine</u> (following the available options on the [quarto website](https://quarto.org/docs/get-started/)).

**Step by step guide**:
- Open the main file `kart_tutorial.qmd` in your editor of choice (Quarto has [first-class support](https://quarto.org/docs/get-started/) for RStudio, VSCode/VSCodium, Jupyter Lab, Neovim)
- Render the Quarto manuscript (this will vary depending on your editor)
- A new folder `_manuscript` will be created with all the available formats (_html_, _docx_, _pdf_, and _meca bundle_)